Bug 1902091 - `cluster-image-registry-operator` pod leaves connections open when fails connecting S3 storage
Summary: `cluster-image-registry-operator` pod leaves connections open when fails conn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1959563
TreeView+ depends on / blocked
 
Reported: 2020-11-26 21:02 UTC by Anshul Verma
Modified: 2021-05-31 14:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:36:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 648 0 None closed Bug 1902091: Using http.DefaultTransport timeouts 2021-01-21 10:18:01 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:52 UTC

Internal Links: 1973281

Description Anshul Verma 2020-11-26 21:02:56 UTC
Description of problem:

The cluster-image-registry-operator, when a request to the associated S3 storage fails with any reason, it leaves the connection created for that request open.
This blocks a port. When this keeps happening, no more ports gets available for new connections and it gives the following error -
~~~
E1019 06:23:08.149459      90 controller.go:311] unable to sync: unable to sync storage configuration: RequestError: send request failed
caused by: Head https://<s3_storage>: dial tcp <ip_address>:443: connect: cannot assign requested address, requeuing
~~~

Comment 11 Wenjing Zheng 2021-01-12 08:40:58 UTC
Looking at the PR we are only setting some defaults for timeouts, a regression test should be enough to verify this bug.
Verified on 4.7.0-0.nightly-2021-01-10-070949.

Comment 14 errata-xmlrpc 2021-02-24 15:36:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.